Index: LMDZ6/branches/Portage_acc/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d/leapfrog.F	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d/leapfrog.F	(revision 4446)
@@ -11,5 +11,5 @@
       use IOIPSL
 #endif
-      USE infotrac, ONLY: nqtot,ok_iso_verif
+      USE infotrac, ONLY: nqtot, isoCheck
       USE guide_mod, ONLY : guide_main
       USE write_field, ONLY: writefield
@@ -26,4 +26,5 @@
       USE temps_mod, ONLY: jD_ref,jH_ref,itaufin,day_ini,day_ref,
      &                        start_time,dt
+      USE strings_mod, ONLY: msg
 
       IMPLICIT NONE
@@ -237,7 +238,5 @@
       jH_cur = jH_cur - int(jH_cur)
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 321')
-        endif !if (ok_iso_verif) then
+      call check_isotopes_seq(q,ip1jmp1,'leapfrog 321')
 
 #ifdef CPP_IOIPSL
@@ -271,7 +270,5 @@
 !      CALL filtreg ( finvmaold ,jjp1, llm, -2,2, .TRUE., 1 )
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 400')
-        endif !if (ok_iso_verif) then
+      call check_isotopes_seq(q,ip1jmp1,'leapfrog 400')
 
    2  CONTINUE ! Matsuno backward or leapfrog step begins here
@@ -324,7 +321,5 @@
 
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 589')
-        endif !if (ok_iso_verif) then
+      call check_isotopes_seq(q,ip1jmp1,'leapfrog 589')
 
 c-----------------------------------------------------------------------
@@ -345,8 +340,6 @@
 c   -------------------------------------------------------------
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,
+      call check_isotopes_seq(q,ip1jmp1,
      &           'leapfrog 686: avant caladvtrac')
-        endif !if (ok_iso_verif) then
 
       IF( forward. OR . leapf )  THEN
@@ -376,8 +369,6 @@
 c   ----------------------------------
 
-        if (ok_iso_verif) then
-           write(*,*) 'leapfrog 720' 
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 756')
-        endif !if (ok_iso_verif) then
+       CALL msg('720', modname, isoCheck)
+       call check_isotopes_seq(q,ip1jmp1,'leapfrog 756')
         
        CALL integrd ( nqtot,vcovm1,ucovm1,tetam1,psm1,massem1 ,
@@ -385,8 +376,6 @@
 !     $              finvmaold                                    )
 
-       if (ok_iso_verif) then
-          write(*,*) 'leapfrog 724'
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 762')
-        endif !if (ok_iso_verif) then
+       CALL msg('724', modname, isoCheck)
+       call check_isotopes_seq(q,ip1jmp1,'leapfrog 762')
 
 c .P.Le Van (26/04/94  ajout de  finvpold dans l'appel d'integrd)
@@ -552,7 +541,5 @@
         CALL massdair(p,masse)
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 1196')
-        endif !if (ok_iso_verif) then
+        call check_isotopes_seq(q,ip1jmp1,'leapfrog 1196')
 
 c-----------------------------------------------------------------------
@@ -639,7 +626,5 @@
 c   preparation du pas d'integration suivant  ......
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 1509')
-        endif !if (ok_iso_verif) then
+      call check_isotopes_seq(q,ip1jmp1,'leapfrog 1509')
 
       IF ( .NOT.purmats ) THEN
@@ -703,7 +688,5 @@
             ENDIF ! of IF((MOD(itau,iperiod).EQ.0).OR.(itau.EQ.itaufin))
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 1584')
-        endif !if (ok_iso_verif) then
+            call check_isotopes_seq(q,ip1jmp1,'leapfrog 1584')
 
 c-----------------------------------------------------------------------
@@ -790,7 +773,5 @@
       ELSE ! of IF (.not.purmats)
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 1664')
-        endif !if (ok_iso_verif) then
+            call check_isotopes_seq(q,ip1jmp1,'leapfrog 1664')
 
 c       ........................................................
@@ -817,7 +798,5 @@
             ELSE ! of IF(forward) i.e. backward step
  
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'leapfrog 1698')
-        endif !if (ok_iso_verif) then  
+              call check_isotopes_seq(q,ip1jmp1,'leapfrog 1698')
 
               IF(MOD(itau,iperiod).EQ.0 .OR. itau.EQ.itaufin) THEN
Index: LMDZ6/branches/Portage_acc/libf/dyn3d/qminimum.F
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d/qminimum.F	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d/qminimum.F	(revision 4446)
@@ -4,5 +4,7 @@
       SUBROUTINE qminimum( q,nqtot,deltap )
 
-      USE infotrac, ONLY: niso, ntraciso,iqiso,ok_iso_verif
+      USE infotrac, ONLY: niso, ntiso,iqIsoPha, tracers
+      USE strings_mod, ONLY: strIdx
+      USE readTracFiles_mod, ONLY: addPhase
       IMPLICIT none
 c
@@ -16,10 +18,8 @@
       REAL q(ip1jmp1,llm,nqtot), deltap(ip1jmp1,llm)
 c
-      INTEGER iq_vap, iq_liq
-      PARAMETER ( iq_vap = 1 ) ! indice pour l'eau vapeur
-      PARAMETER ( iq_liq = 2 ) ! indice pour l'eau liquide
-      REAL seuil_vap, seuil_liq
-      PARAMETER ( seuil_vap = 1.0e-10 ) ! seuil pour l'eau vapeur
-      PARAMETER ( seuil_liq = 1.0e-11 ) ! seuil pour l'eau liquide
+      LOGICAL, SAVE :: first=.TRUE.
+      INTEGER, SAVE :: iq_vap, iq_liq        ! indices pour l'eau vapeur/liquide
+      REAL, PARAMETER :: seuil_vap = 1.0e-10 ! seuil pour l'eau vapeur
+      REAL, PARAMETER :: seuil_liq = 1.0e-11 ! seuil pour l'eau liquide
 c
 c  NB. ....( Il est souhaitable mais non obligatoire que les valeurs des
@@ -43,4 +43,10 @@
       !INTEGER nb_pump
       INTEGER ixt
+
+      IF(first) THEN
+         iq_vap = strIdx(tracers(:)%name, addPhase('H2O', 'g'))
+         iq_liq = strIdx(tracers(:)%name, addPhase('H2O', 'l'))
+         first = .FALSE.
+      END IF
 c
 c Quand l'eau liquide est trop petite (ou negative), on prend
@@ -49,7 +55,5 @@
 c
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'qminimum 52')   
-        endif !if (ok_iso_verif) then     
+      call check_isotopes_seq(q,ip1jmp1,'qminimum 52')   
 
       zx_defau_diag(:,:,:)=0.0
@@ -127,14 +131,16 @@
           if (zx_defau_diag(i,k,iq_vap).gt.0.0) then             
               ! on ajoute la vapeur en k              
-              do ixt=1,ntraciso
-               q(i,k,iqiso(ixt,iq_vap))=q(i,k,iqiso(ixt,iq_vap))
-     :              +zx_defau_diag(i,k,iq_vap)
-     :              *q(i,k-1,iqiso(ixt,iq_vap))/q_follow(i,k-1,iq_vap)
+              do ixt=1,ntiso
+               q(i,k,iqIsoPha(ixt,iq_vap))=q(i,k,iqIsoPha(ixt,iq_vap))
+     :           +zx_defau_diag(i,k,iq_vap)
+     :           *q(i,k-1,iqIsoPha(ixt,iq_vap))/q_follow(i,k-1,iq_vap)
                 
               ! et on la retranche en k-1
-               q(i,k-1,iqiso(ixt,iq_vap))=q(i,k-1,iqiso(ixt,iq_vap))
+               q(i,k-1,iqIsoPha(ixt,iq_vap))=
+     :            q(i,k-1,iqIsoPha(ixt,iq_vap))
      :              -zx_defau_diag(i,k,iq_vap)
      :              *deltap(i,k)/deltap(i,k-1)
-     :              *q(i,k-1,iqiso(ixt,iq_vap))/q_follow(i,k-1,iq_vap)
+     :              *q(i,k-1,iqIsoPha(ixt,iq_vap))
+     :              /q_follow(i,k-1,iq_vap)
 
               enddo !do ixt=1,niso
@@ -148,7 +154,5 @@
        enddo !do k=2,llm
 
-        if (ok_iso_verif) then     
-           call check_isotopes_seq(q,ip1jmp1,'qminimum 168')
-        endif !if (ok_iso_verif) then
+       call check_isotopes_seq(q,ip1jmp1,'qminimum 168')
         
       
@@ -160,12 +164,12 @@
 
               ! on ajoute eau liquide en k en k              
-              do ixt=1,ntraciso
-               q(i,k,iqiso(ixt,iq_liq))=q(i,k,iqiso(ixt,iq_liq))
+              do ixt=1,ntiso
+               q(i,k,iqIsoPha(ixt,iq_liq))=q(i,k,iqIsoPha(ixt,iq_liq))
      :              +zx_defau_diag(i,k,iq_liq)
-     :              *q(i,k,iqiso(ixt,iq_vap))/q_follow(i,k,iq_vap)
+     :              *q(i,k,iqIsoPha(ixt,iq_vap))/q_follow(i,k,iq_vap)
               ! et on la retranche à la vapeur en k
-               q(i,k,iqiso(ixt,iq_vap))=q(i,k,iqiso(ixt,iq_vap))
+               q(i,k,iqIsoPha(ixt,iq_vap))=q(i,k,iqIsoPha(ixt,iq_vap))
      :              -zx_defau_diag(i,k,iq_liq)
-     :              *q(i,k,iqiso(ixt,iq_vap))/q_follow(i,k,iq_vap)   
+     :              *q(i,k,iqIsoPha(ixt,iq_vap))/q_follow(i,k,iq_vap)   
               enddo !do ixt=1,niso
               q_follow(i,k,iq_liq)=   q_follow(i,k,iq_liq)
@@ -177,7 +181,5 @@
        enddo !do k=2,llm  
 
-        if (ok_iso_verif) then
-           call check_isotopes_seq(q,ip1jmp1,'qminimum 197')
-        endif !if (ok_iso_verif) then
+       call check_isotopes_seq(q,ip1jmp1,'qminimum 197')
 
       endif !if (niso > 0) then
Index: LMDZ6/branches/Portage_acc/libf/dyn3d/replay3d.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d/replay3d.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d/replay3d.F90	(revision 4446)
@@ -203,9 +203,8 @@
 ! Boucle en temps sur l'appel à la parametrisation
 !---------------------------------------------------------------------
-!      ntime = 97
       write(6,*)'number of loops to do = '
       read(5,*) ntime
       DO it=1,ntime
-!         print*,'Pas de temps ',it,klon,klev
+         print*,'Pas de temps ',it,klon,klev
          call call_param_replay(klon,klev,elapsed_time)
          mean_elapsed=mean_elapsed+elapsed_time/real(ntime)
Index: LMDZ6/branches/Portage_acc/libf/dyn3d/vlsplt.F
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d/vlsplt.F	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d/vlsplt.F	(revision 4446)
@@ -125,5 +125,5 @@
       RECURSIVE SUBROUTINE vlx(q,pente_max,masse,u_m,iq)
       USE infotrac, ONLY : nqtot,tracers, ! CRisi
-     &                     qperemin,masseqmin,ratiomin ! MVals et CRisi
+     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 
 c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
@@ -428,14 +428,14 @@
             !Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
             !Mvals: veiller a ce qu'on n'ait pas de denominateur nul
-            masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),masseqmin)
-            if (q(ij,l,iq).gt.qperemin) then
+            masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
+            if (q(ij,l,iq).gt.min_qParent) then
               Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
             else
-              Ratio(ij,l,iq2)=ratiomin
+              Ratio(ij,l,iq2)=min_ratio
             endif
           enddo   
         enddo
       enddo
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         call vlx(Ratio,pente_max,masseq,u_mq,iq2)
@@ -449,5 +449,5 @@
          DO ij=iip2+1,ip1jm
             !MVals: veiller a ce qu'on ait pas de denominateur nul
-            new_m=max(masse(ij,l,iq)+u_m(ij-1,l)-u_m(ij,l),masseqmin)
+            new_m=max(masse(ij,l,iq)+u_m(ij-1,l)-u_m(ij,l),min_qMass)
             q(ij,l,iq)=(q(ij,l,iq)*masse(ij,l,iq)+
      &      u_mq(ij-1,l)-u_mq(ij,l))
@@ -485,5 +485,5 @@
       RECURSIVE SUBROUTINE vly(q,pente_max,masse,masse_adv_v,iq)
       USE infotrac, ONLY : nqtot,tracers, ! CRisi
-     &                     qperemin,masseqmin,ratiomin ! MVals et CRisi
+     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 c
 c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
@@ -752,9 +752,9 @@
             !Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)     
             !MVals: veiller a ce qu'on n'ait pas de denominateur nul
-            masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),masseqmin)
-            if (q(ij,l,iq).gt.qperemin) then
+            masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
+            if (q(ij,l,iq).gt.min_qParent) then
               Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
             else
-              Ratio(ij,l,iq2)=ratiomin
+              Ratio(ij,l,iq2)=min_ratio
             endif 
           enddo   
@@ -848,5 +848,5 @@
       RECURSIVE SUBROUTINE vlz(q,pente_max,masse,w,iq)
       USE infotrac, ONLY : nqtot,tracers, ! CRisi 
-     &                     qperemin,masseqmin,ratiomin ! MVals et CRisi
+     &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 c
 c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
@@ -969,5 +969,5 @@
 ! CRisi: appel récursif de l'advection sur les fils.
 ! Il faut faire ça avant d'avoir mis à jour q et masse
-      !write(*,*) 'vlsplt 942: iq,nqChilds(iq)=',iq,nqChilds(iq)
+      !write(*,*) 'vlsplt 942: iq,nqChildren(iq)=',iq,nqChildren(iq)
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
@@ -977,9 +977,9 @@
             !Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)        
             !MVals: veiller a ce qu'on n'ait pas de denominateur nul
-            masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),masseqmin)
-            if (q(ij,l,iq).gt.qperemin) then
+            masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
+            if (q(ij,l,iq).gt.min_qParent) then
               Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
             else
-              Ratio(ij,l,iq2)=ratiomin
+              Ratio(ij,l,iq2)=min_ratio
             endif      
           enddo   
@@ -987,5 +987,5 @@
       enddo
         
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         call vlz(Ratio,pente_max,masseq,wq,iq2)
Index: LMDZ6/branches/Portage_acc/libf/dyn3d/vlspltqs.F
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d/vlspltqs.F	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d/vlspltqs.F	(revision 4446)
@@ -479,5 +479,6 @@
 ! CRisi: appel récursif de l'advection sur les fils.
 ! Il faut faire ça avant d'avoir mis à jour q et masse
-      !write(*,*) 'vlspltqs 326: iq,nqChilds(iq)=',iq,tracers(iq)%nqChilds
+      !write(*,*) 'vlspltqs 326: iq,nqChildren(iq)=',iq,
+!     &                 tracers(iq)%nqChildren
       
       do ifils=1,tracers(iq)%nqDescen
@@ -491,5 +492,5 @@
         enddo
       enddo
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         call vlx(Ratio,pente_max,masseq,u_mq,iq2)
@@ -786,5 +787,6 @@
 ! CRisi: appel récursif de l'advection sur les fils.
 ! Il faut faire ça avant d'avoir mis à jour q et masse
-      !write(*,*) 'vlyqs 689: iq,nqChilds(iq)=',iq,tracers(iq)%nqChilds
+      !write(*,*) 'vlyqs 689: iq,nqChildren(iq)=',iq,
+!     &              tracers(iq)%nqChildren
    
       do ifils=1,tracers(iq)%nqDescen
@@ -797,5 +799,5 @@
         enddo
       enddo
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         !write(*,*) 'vlyqs 783: appel rec de vly, iq2=',iq2
Index: LMDZ6/branches/Portage_acc/libf/dyn3d_common/comvert_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d_common/comvert_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d_common/comvert_mod.F90	(revision 4446)
@@ -10,9 +10,11 @@
 
 PUBLIC :: ap,bp,presnivs,dpres,sig,ds,pa,preff,nivsigs,nivsig, &
-          aps,bps,scaleheight,pseudoalt,disvert_type, pressure_exner
+          aps,bps,scaleheight,pseudoalt,disvert_type, pressure_exner, &
+          presinter
 
 REAL ap(llm+1) ! hybrid pressure contribution at interlayers
 REAL bp (llm+1) ! hybrid sigma contribution at interlayer
 REAL presnivs(llm) ! (reference) pressure at mid-layers
+REAL presinter(llm+1) ! (reference) pressure at interlayers
 REAL dpres(llm)
 REAL sig(llm+1)
Index: LMDZ6/branches/Portage_acc/libf/dyn3d_common/conf_planete.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d_common/conf_planete.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d_common/conf_planete.F90	(revision 4446)
@@ -30,36 +30,51 @@
 
 !Reference surface pressure (Pa)
-preff=101325.
+! 101080 : specific value for CMIP5 aqua/terra planets
+! "Specify the initial dry mass to be equivalent to
+!  a global mean surface pressure (101325 minus 245) Pa."
+preff=101080.
 CALL getin('preff', preff)
+
 ! Reference pressure at which hybrid coord. become purely pressure
 ! pa=50000.
 pa=preff/2.
 CALL getin('pa', pa)
+
 ! Gravity
 g=9.80665
+
 CALL getin('g',g)
 ! Molar mass of the atmosphere
+
 molmass = 28.9644
 CALL getin('molmass',molmass)
 ! kappa=R/Cp et Cp      
+
 kappa = 2./7.
 CALL getin('kappa',kappa)
+
 cpp=8.3145/molmass/kappa*1000.
 CALL getin('cpp',cpp)
 ! Radius of the planet
+
 rad = 6371229. 
 CALL getin('radius',rad)
+
 ! Length of a standard day (s)
 daysec=86400.
 CALL getin('daysec',daysec)
+
 ! Rotation rate of the planet:
 ! Length of a solar day, in standard days
 daylen = 1.
+
 CALL getin('daylen',daylen)
 ! Number of days (standard) per year:
+
 year_day = 365.25
 CALL getin('year_day',year_day)
 ! Omega
 ! omeg=2.*pi/86400.
+
 omeg=2.*pi/daysec*(1./daylen+1./year_day)
 CALL getin('omeg',omeg)
Index: LMDZ6/branches/Portage_acc/libf/dyn3d_common/control_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d_common/control_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d_common/control_mod.F90	(revision 4446)
@@ -29,5 +29,4 @@
   INTEGER,SAVE :: ip_ebil_dyn
   LOGICAL,SAVE :: offline
-  CHARACTER(len=4),SAVE :: config_inca
   CHARACTER(len=10),SAVE :: planet_type ! planet type ('earth','mars',...)
   LOGICAL,SAVE :: output_grads_dyn ! output dynamics diagnostics in
@@ -38,4 +37,5 @@
   LOGICAL,SAVE :: ok_dyn_ave ! output averaged values of fields in the dynamics
                              ! in NetCDF files dyn_hist*ave.nc
+  LOGICAL,SAVE :: ok_dyn_xios ! xios outputs in dynamics
   LOGICAL,SAVE :: resetvarc  ! allows to reset the variables in sortvarc
 
Index: LMDZ6/branches/Portage_acc/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/dyn3d_common/disvert.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/dyn3d_common/disvert.F90	(revision 4446)
@@ -11,5 +11,5 @@
   use assert_m, only: assert
   USE comvert_mod, ONLY: ap, bp, aps, bps, nivsigs, nivsig, dpres, presnivs, &
-                         pseudoalt, pa, preff, scaleheight
+                         pseudoalt, pa, preff, scaleheight, presinter
   USE logic_mod, ONLY: ok_strato
 
@@ -35,4 +35,5 @@
 ! dpres(llm)                 !--- PRESSURE DIFFERENCE FOR EACH LAYER
 ! presnivs(llm)              !--- PRESSURE AT EACH MID-LAYER
+! presinter(llm+1)           !--- PRESSURE AT EACH INTERFACE
 ! scaleheight                !--- VERTICAL SCALE HEIGHT            (Earth: 8kms)
 ! nivsig(llm+1)              !--- SIGMA INDEX OF EACH LAYER INTERFACE
@@ -355,4 +356,8 @@
           max(ap(l+1)+bp(l+1)*preff, 1.e-10))
   ENDDO
+  DO l=1, llmp1
+     presinter(l)= ( ap(l)+bp(l)*preff)
+     write(lunout, *)'PRESINTER(', l, ')=', presinter(l)
+  ENDDO
 
   write(lunout, *) trim(modname),': PRESNIVS '
@@ -395,5 +400,5 @@
       ELSE IF(SIGN(f1,f4)/=f1) THEN; x2=xx; f2=f4
       ELSE IF(SIGN(f2,f4)/=f2) THEN; x1=xx; f1=f4
-      ELSE; CALL abort_gcm("ridders",'Algorithm failed (which is odd...')
+      ELSE; CALL abort_gcm("ridders",'Algorithm failed (which is odd...', 1)
       END IF
       IF(ABS(10.*LOG(ABS(x2-x1)))<=1E-5) EXIT       !--- ERROR ON SIG <= 0.01m            
